function [Out,bDs]=set_linsolve_cholesky(N,verbose,varargin)
  % example of 'set_fun' function used in bench
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',3,@isscalar);
  p.addParamValue('m',1,@isscalar);
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('rtype','array3d',@(s) ismember(lower(s),{'array3d','array2d'}));
  p.parse(varargin{:});
  R=p.Results;
  d=R.d;m=R.m;
  R.rtype=lower(R.rtype);
  Fprintf=R.fprintf;
  %mattype=R.mattype;
  A=fc_linalg3D.random.randnsympd(N,d);
  
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if verbose
    Fprintf('# 1st parameter is :\n');
    Fprintf('# -> 3D-array with (N,d,d)=(%d,%d,%d),  size=[%s]\n',N,d,d,num2str(size(A)))
  end
  if verbose, Fprintf('# 2nd parameter is :\n');end
  [B,~]=fc_linalg3D.benchs.set_datas(N,verbose,'d',[d,m],'type',R.rtype,varargin{:});
  
  Error=@(X) fc_linalg3D.solver.linsolve_error(A,X,B{1});
  
  bDs(1)=fc_bench.bdata('N',N,'%d',10);
  Out={A,B{1},Error};
end
